Bullet Collision Detection & Physics Library: btConvexPlaneCollisionAlgorithm Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Attributes | List of all members
btConvexPlaneCollisionAlgorithm Class Reference

btSphereBoxCollisionAlgorithm provides sphere-box collision detection. More...

`#include <btConvexPlaneCollisionAlgorithm.h>`

Inheritance diagram for btConvexPlaneCollisionAlgorithm:
[legend]
Collaboration diagram for btConvexPlaneCollisionAlgorithm:
[legend]

## Classes
struct | CreateFunc

## Public Member Functions
| btConvexPlaneCollisionAlgorithm (btPersistentManifold *mf, const btCollisionAlgorithmConstructionInfo &ci, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, bool isSwapped, int numPerturbationIterations, int minimumPointsPerturbationThreshold)
virtual | ~btConvexPlaneCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
void | collideSingleContact (const btQuaternion &perturbeRot, const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)
Public Member Functions inherited from btCollisionAlgorithm
| btCollisionAlgorithm ()
| btCollisionAlgorithm (const btCollisionAlgorithmConstructionInfo &ci)
virtual | ~btCollisionAlgorithm ()
virtual void | processCollision (const btCollisionObjectWrapper *body0Wrap, const btCollisionObjectWrapper *body1Wrap, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual btScalar | calculateTimeOfImpact (btCollisionObject *body0, btCollisionObject *body1, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut)=0
virtual void | getAllContactManifolds (btManifoldArray &manifoldArray)=0

## Private Attributes
bool | m_ownManifold
btPersistentManifold * | m_manifoldPtr
bool | m_isSwapped
int | m_numPerturbationIterations
int | m_minimumPointsPerturbationThreshold

## Additional Inherited Members
Protected Attributes inherited from btCollisionAlgorithm
btDispatcher * | m_dispatcher

## Detailed Description

btSphereBoxCollisionAlgorithm provides sphere-box collision detection.

Other features are frame-coherency (persistent data) and collision response.

Definition at line 29 of file btConvexPlaneCollisionAlgorithm.h.

## Constructor & Destructor Documentation

## ◆ btConvexPlaneCollisionAlgorithm()

btConvexPlaneCollisionAlgorithm::btConvexPlaneCollisionAlgorithm | ( | btPersistentManifold * | mf,
|  | const btCollisionAlgorithmConstructionInfo & | ci,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | bool | isSwapped,
|  | int | numPerturbationIterations,
|  | int | minimumPointsPerturbationThreshold
| ) |  |

Definition at line 26 of file btConvexPlaneCollisionAlgorithm.cpp.

## ◆ ~btConvexPlaneCollisionAlgorithm()

btConvexPlaneCollisionAlgorithm::~btConvexPlaneCollisionAlgorithm | ( |  | ) |
| virtual

Definition at line 44 of file btConvexPlaneCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ calculateTimeOfImpact()

btScalar btConvexPlaneCollisionAlgorithm::calculateTimeOfImpact | ( | btCollisionObject * | body0,
|  | btCollisionObject * | body1,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

Implements btCollisionAlgorithm.

Definition at line 163 of file btConvexPlaneCollisionAlgorithm.cpp.

## ◆ collideSingleContact()

void btConvexPlaneCollisionAlgorithm::collideSingleContact | ( | const btQuaternion & | perturbeRot,
|  | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |

report a contact. internally this will be kept persistent, and contact reduction is done

Definition at line 53 of file btConvexPlaneCollisionAlgorithm.cpp.

## ◆ getAllContactManifolds()

virtual void btConvexPlaneCollisionAlgorithm::getAllContactManifolds | ( | btManifoldArray & | manifoldArray | ) |
| inlinevirtual

Implements btCollisionAlgorithm.

Definition at line 48 of file btConvexPlaneCollisionAlgorithm.h.

## ◆ processCollision()

void btConvexPlaneCollisionAlgorithm::processCollision | ( | const btCollisionObjectWrapper * | body0Wrap,
|  | const btCollisionObjectWrapper * | body1Wrap,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut
| ) |  |
| virtual

report a contact. internally this will be kept persistent, and contact reduction is done

Implements btCollisionAlgorithm.

Definition at line 92 of file btConvexPlaneCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_isSwapped

bool btConvexPlaneCollisionAlgorithm::m_isSwapped
| private

Definition at line 33 of file btConvexPlaneCollisionAlgorithm.h.

## ◆ m_manifoldPtr

btPersistentManifold* btConvexPlaneCollisionAlgorithm::m_manifoldPtr
| private

Definition at line 32 of file btConvexPlaneCollisionAlgorithm.h.

## ◆ m_minimumPointsPerturbationThreshold

int btConvexPlaneCollisionAlgorithm::m_minimumPointsPerturbationThreshold
| private

Definition at line 35 of file btConvexPlaneCollisionAlgorithm.h.

## ◆ m_numPerturbationIterations

int btConvexPlaneCollisionAlgorithm::m_numPerturbationIterations
| private

Definition at line 34 of file btConvexPlaneCollisionAlgorithm.h.

## ◆ m_ownManifold

bool btConvexPlaneCollisionAlgorithm::m_ownManifold
| private

Definition at line 31 of file btConvexPlaneCollisionAlgorithm.h.

The documentation for this class was generated from the following files:

- btConvexPlaneCollisionAlgorithm.h
- btConvexPlaneCollisionAlgorithm.cpp